;; WB-tree File Based Associative String Data Base System.
;; Copyright (C) 1991, 1992, 1993, 2000 Free Software Foundation, Inc.
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.
;;
;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this software; see the file COPYING.  If not, write to
;; the Free Software Foundation, 59 Temple Place, Suite 330, Boston,
;; MA 02111, USA.
;;
;; As a special exception, the Free Software Foundation gives permission
;; for additional uses of the text contained in its release of SCM.
;;
;; The exception is that, if you link the SCM library with other files
;; to produce an executable, this does not by itself cause the
;; resulting executable to be covered by the GNU General Public License.
;; Your use of that executable is in no way restricted on account of
;; linking the SCM library code into it.
;;
;; This exception does not however invalidate any other reasons why
;; the executable file might be covered by the GNU General Public License.
;;
;; This exception applies only to the code released by the
;; Free Software Foundation under the name SCM.  If you copy
;; code from other Free Software Foundation releases into a copy of
;; SCM, as the General Public License permits, the exception does
;; not apply to the code that you add in this way.  To avoid misleading
;; anyone as to the status of such modified files, you must delete
;; this exception notice from them.
;;
;; If you write modifications of your own for SCM, it is your choice
;; whether to permit this exception to apply to your modifications.
;; If you do not wish that, delete this exception notice.

(require 'line-i/o)
(require 'string-search)
(cond ((file-exists? "srcdir.mk")
       (call-with-input-file "srcdir.mk"
	 (lambda (iport)
	   (cond ((find-string-from-port? "SCHLEP=" iport)
		  (load (read-line iport))
		  (provide 'schlep))
		 (else (require 'schlep))))))
      (else (require 'schlep)))

(set! __STDC__ 'scm) ;; SCM-style ANSI function prototypes.
(define make-blkio #t)
;;(define make-blkio (eqv? (software-type) 'vms))

(define make
  (let ((progvic (program-vicinity)))
    (lambda ()
      (if make-blkio
	  (schlep (in-vicinity progvic "blkio.c")))
      (schlep (in-vicinity progvic "stats.c"))
      (schlep (in-vicinity progvic "blink.c"))
      (schlep (in-vicinity progvic "ent.c"))
      (schlep (in-vicinity progvic "del.c"))
      (schlep (in-vicinity progvic "prev.c"))
      (schlep (in-vicinity progvic "scan.c"))
      (schlep (in-vicinity progvic "prev.c"))
      (schlep (in-vicinity progvic "handle.c"))
      (schlep (in-vicinity progvic "wbdefs.h")))))

(make)
